curl --request POST \
--url https://api.sandbox.asapp.com/autocompose/v1/responses/customs/response \
--header 'Content-Type: application/json' \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>' \
--data '
{
"text": "fold text",
"title": "folder title",
"folderId": "123"
}
'import requests
url = "https://api.sandbox.asapp.com/autocompose/v1/responses/customs/response"
payload = {
"text": "fold text",
"title": "folder title",
"folderId": "123"
}
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({text: 'fold text', title: 'folder title', folderId: '123'})
};
fetch('https://api.sandbox.asapp.com/autocompose/v1/responses/customs/response', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"folderId": "<string>",
"metadata": [
{
"name": "<string>",
"allowedValues": [
"<string>"
]
}
]
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}Create a custom response
Add a single custom response for an agent
Query Parameters
Identifier of the agent, data format is expected to be UUID
Body
The custom response to be added
The text of the response
The title of the response
the ID of the folder the response belongs to (used for custom responses).
free-form metadata, in the form of a map of keys to lists of allowed values for each key, that can be added to any response. At least one of the values in the list for each key included here must match what gets sent when requesting suggestions, so that responses can be filtered appropriately.
Show child attributes
Show child attributes
Response
Acknowledgement that the response was successfully added
The ID of this response, data format is UUID
The text of the response
The title of the response. Always non-empty for custom responses, but may be empty for other types of responses (global and organic).
the ID of the folder the response belongs to.
free-form metadata, in the form of a map of keys to lists of allowed values for each key, that can be added to any response. At least one of the values in the list for each key included here must match what gets sent when requesting suggestions, so that responses can be filtered appropriately.
Show child attributes
Show child attributes
Was this page helpful?